Schema used during signing and verification of signature.

### Hierarchy

- SignatureScheme

## Index

### Constructors

- constructor

### Properties

- hex
- label
- labelJWS
- ECDSAwithRIPEMD160
- ECDSAwithSHA224
- ECDSAwithSHA256
- ECDSAwithSHA384
- ECDSAwithSHA3_224
- ECDSAwithSHA3_256
- ECDSAwithSHA3_384
- ECDSAwithSHA3_512
- ECDSAwithSHA512
- EDDSAwithSHA512
- SM2withSM3
- values

### Methods

- fromHex
- fromLabel
- fromLabelJWS

## Constructors

### constructor

- new SignatureScheme(label: string, hex: number, labelJWS: string): SignatureScheme

- - Defined in crypto/SignatureScheme.ts:85

  #### Parameters

  - ##### label: string

  - ##### hex: number

  - ##### labelJWS: string

  #### Returns SignatureScheme

## Properties

### hex

hex: number

- Defined in crypto/SignatureScheme.ts:84

### label

label: string

- Defined in crypto/SignatureScheme.ts:83

### labelJWS

labelJWS: string

- Defined in crypto/SignatureScheme.ts:85

### Static ECDSAwithRIPEMD160

ECDSAwithRIPEMD160: SignatureScheme = new SignatureScheme('RIPEMD160withECDSA', 8, 'ER160')

- Defined in crypto/SignatureScheme.ts:37

### Static ECDSAwithSHA224

ECDSAwithSHA224: SignatureScheme = new SignatureScheme('SHA224withECDSA', 0, 'ES224')

- Defined in crypto/SignatureScheme.ts:25

### Static ECDSAwithSHA256

ECDSAwithSHA256: SignatureScheme = new SignatureScheme('SHA256withECDSA', 1, 'ES256')

- Defined in crypto/SignatureScheme.ts:26

### Static ECDSAwithSHA384

ECDSAwithSHA384: SignatureScheme = new SignatureScheme('SHA384withECDSA', 2, 'ES384')

- Defined in crypto/SignatureScheme.ts:27

### Static ECDSAwithSHA3_224

ECDSAwithSHA3_224: SignatureScheme = new SignatureScheme('SHA3-224withECDSA', 4, 'ES3-224')

- Defined in crypto/SignatureScheme.ts:30

### Static ECDSAwithSHA3_256

ECDSAwithSHA3_256: SignatureScheme = new SignatureScheme('SHA3-256withECDSA', 5, 'ES3-256')

- Defined in crypto/SignatureScheme.ts:32

### Static ECDSAwithSHA3_384

ECDSAwithSHA3_384: SignatureScheme = new SignatureScheme('SHA3-384withECDSA', 6, 'ES3-384')

- Defined in crypto/SignatureScheme.ts:34

### Static ECDSAwithSHA3_512

ECDSAwithSHA3_512: SignatureScheme = new SignatureScheme('SHA3-512withECDSA', 7, 'ES3-512')

- Defined in crypto/SignatureScheme.ts:36

### Static ECDSAwithSHA512

ECDSAwithSHA512: SignatureScheme = new SignatureScheme('SHA512withECDSA', 3, 'ES512')

- Defined in crypto/SignatureScheme.ts:28

### Static EDDSAwithSHA512

EDDSAwithSHA512: SignatureScheme = new SignatureScheme('SHA512withEdDSA', 10, 'EDS512')

- Defined in crypto/SignatureScheme.ts:39

### Static SM2withSM3

SM2withSM3: SignatureScheme = new SignatureScheme('SM3withSM2', 9, 'SM')

- Defined in crypto/SignatureScheme.ts:38

### Static values

values: SignatureScheme[] = []

- Defined in crypto/SignatureScheme.ts:23

## Methods

### Static fromHex

- fromHex(hex: number): SignatureScheme

- - Defined in crypto/SignatureScheme.ts:46

  Finds Signature schema corresponding to specified hex representation.

  #### Parameters

  - ##### hex: number

    Byte hex value

  #### Returns SignatureScheme

### Static fromLabel

- fromLabel(label: string): SignatureScheme

- - Defined in crypto/SignatureScheme.ts:60

  Finds Signature schema corresponding to specified label representation.

  #### Parameters

  - ##### label: string

    Label

  #### Returns SignatureScheme

### Static fromLabelJWS

- fromLabelJWS(label: string): SignatureScheme

- - Defined in crypto/SignatureScheme.ts:74

  Finds Signature schema corresponding to specified label representation in JWS.

  #### Parameters

  - ##### label: string

    Label

  #### Returns SignatureScheme

Generated using TypeDoc